
QGIS Application - Bug report #16492

Attribute table: crash removing features when cell is in editing mode

2017-05-01 11:24 AM - Luigi Pirelli

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Attribute table

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Any Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 24398

Description

confirmed in 2.18/3.X. follow these steps to replicate:

1) create a layer (tested with shape and mapinfo) with a column attribute.

2) add some features and save. You can also edn editing and close attribute table

3) open attribute table

4) start editing

5) with shift pressed => select all features => latest feature cell is opened in editing

5) click on "delete features" action button => crash!

Associated revisions

Revision db89929a - 2017-05-11 07:09 PM - Alessandro Pasotti 

[bugfix] Attribute table crashes QGIS when deleting selected

Fixes https://issues.qgis.org/issues/16492

Needs-backporting

Revision 4f82b0ba - 2017-05-12 09:17 AM - Alessandro Pasotti 

[bugfix] Attribute table crashes QGIS when deleting selected

Fixes https://issues.qgis.org/issues/16492

Backport from https://github.com/qgis/QGIS/pull/4535

History

#1 - 2017-05-01 11:35 AM - Giovanni Manghi

- File issue_15976_rows_switch_adding_attributes.zip added

- Subject changed from Attribute table: crash removing features when cell is in editing to Attribute table: crash removing features when cell is in editing 

mode

It happens with certain datasets like the one attached, but not all.
#2 - 2017-05-01 12:23 PM - Luigi Pirelli

crash does not happen if the latest cell is not in editing mode

#3 - 2017-05-04 05:22 PM - Luigi Pirelli

- Assignee set to Alessandro Pasotti

assigned to APasotti because he's already working on other attribute table issues

#4 - 2017-05-04 05:29 PM - Luigi Pirelli

- Assignee deleted (Alessandro Pasotti)

#5 - 2017-05-08 02:27 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#6 - 2017-05-12 09:23 AM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Resolution set to fixed/implemented

PR for master: https://github.com/qgis/QGIS/pull/4535

PR for 2.18: https://github.com/qgis/QGIS/pull/4540

#7 - 2017-05-12 02:53 PM - Alessandro Pasotti

- Status changed from Open to Closed

Files

issue_15976_rows_switch_adding_attributes.zip 3.56 KB 2017-05-01 Giovanni Manghi
